For the complete documentation index, see llms.txt. This page is also available as Markdown.

CashLetterService

Manage cash letters.

Symitar eDocs References: Coming soon.

Operations

getCashLetterSelectFields

post

Retrieves a cash letter with selected fields.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
CashLetterGlobalSequenceDatestring · dateOptional
CashLetterGlobalSequenceintegerOptional
Responses
200

Successful operation.

application/json
post/getCashLetterSelectFields
POST /nexum/627/persistent/cashletter/getCashLetterSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 202

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CashLetterGlobalSequenceDate": "2024-01-01",
  "CashLetterGlobalSequence": 1,
  "SelectableFields": {
    "IncludeAllCashLetterFields": true
  }
}
200

Successful operation.

{
  "CashLetter": {
    "AccountInformation": "text",
    "AccountNumber": "text",
    "AdjustedTotalAmount": 1,
    "AdjustmentAmount": 1,
    "AdjustmentDate": "2026-01-01",
    "AvailableAmount": [
      {
        "EntryId": 1,
        "AvailableAmount": 1
      }
    ],
    "AvailableDate": [
      {
        "EntryId": 1,
        "AvailableDate": "2026-01-01"
      }
    ],
    "BatchId": "text",
    "Branch": 1,
    "CalculatedAmount": 1,
    "CalculatedDate": "2026-01-01",
    "CashLetterAmount": 1,
    "CashLetterDate": "2026-01-01",
    "CorporateId": "text",
    "CreationDate": "2026-01-01",
    "CreationTime": 1,
    "CreditAmount": 1,
    "DayDeferredAmount": [
      {
        "EntryId": 1,
        "DayDeferredAmount": 1
      }
    ],
    "DebitAmount": 1,
    "DebitCredit": 1,
    "DepositDate": "2026-01-01",
    "FedCode": 1,
    "FedReference": "text",
    "GlobalSequence": 1,
    "GlobalSequenceDate": "2026-01-01",
    "ImmediateAmount": 1,
    "ItemCount": 1,
    "MemberId": "text",
    "OriginalAmount": 1,
    "OriginalDepositDate": "2026-01-01",
    "OriginatorRT": "text",
    "Payee": "text",
    "PriorAmount": 1,
    "ProcessDate": "2026-01-01",
    "Reference": "text",
    "ResubmitAmount": 1,
    "ReturnReason": "text",
    "ReturnType": "text",
    "ReversalDate": "2026-01-01",
    "ReversalFlag": 1,
    "ShareId": "text",
    "StatementCode": "text",
    "ThirdPartyInformation": "text",
    "Type": 1,
    "UsCentralRT": "text"
  }
}

Last updated

Was this helpful?